## org.apache.mahout.clustering.lda
Class LDAMapper

    java.lang.Object
      org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.WritableComparable<?>,VectorWritable,IntPairWritable,org.apache.hadoop.io.DoubleWritable>
          org.apache.mahout.clustering.lda.LDAMapper

    public class LDAMapper

extends org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.WritableComparable<?>,VectorWritable,IntPairWritable,org.apache.hadoop.io.DoubleWritable>

Runs inference on the input documents (which are sparse vectors of word counts) and outputs the sufficient statistics for the word-topic assignments.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper
`org.apache.hadoop.mapreduce.Mapper.Context`

Constructor Summary
`LDAMapper()`

Method Summary
`void` `configure(org.apache.hadoop.conf.Configuration job)`
`void` `configure(LDAState myState)`
`protected void` `map(org.apache.hadoop.io.WritableComparable<?> key, VectorWritable wordCountsWritable, org.apache.hadoop.mapreduce.Mapper.Context context)`
`protected void` `setup(org.apache.hadoop.mapreduce.Mapper.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Mapper
`cleanup, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LDAMapper

    public LDAMapper()

Method Detail

### map

    protected void map(org.apache.hadoop.io.WritableComparable<?> key,
                       VectorWritable wordCountsWritable,
                       org.apache.hadoop.mapreduce.Mapper.Context context)
                throws java.io.IOException,
                       java.lang.InterruptedException

  Overrides:
    `map` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.WritableComparable<?>,VectorWritable,IntPairWritable,org.apache.hadoop.io.DoubleWritable>`
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`

### configure

    public void configure(LDAState myState)

### configure

    public void configure(org.apache.hadoop.conf.Configuration job)

### setup

    protected void setup(org.apache.hadoop.mapreduce.Mapper.Context context)

  Overrides:
    `setup` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.WritableComparable<?>,VectorWritable,IntPairWritable,org.apache.hadoop.io.DoubleWritable>`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.